# oscillode
# Copyright (C) 2024 oscillode Project Contributors
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Provides identifiers for node trees defined by this addon."""

import enum

from oscillode.utils import blender_type_enum


@blender_type_enum.append_cls_name_to_values
class NodeTreeType(blender_type_enum.BlenderTypeEnum):
	"""Identifiers for addon-defined node trees."""

	MaxwellSim = enum.auto()
